aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten Ziegeler <cziege...@apache.org>
Subject Re: [CDI] Minimal list of bundles
Date Fri, 26 Jul 2019 15:46:22 GMT
Thanks Ray, I'll give it a try


Carsten


Raymond Auge wrote
> Here's a less complex example doing the same thing [1].
> 
> - Ray
> 
> [1]
> https://github.com/rotty3000/com.github.rotty3000.examples/blob/master/com.github.rotty3000.cdi.servlet/pom.xml
> 
> On Fri, Jul 26, 2019 at 10:59 AM Raymond Auge <raymond.auge@liferay.com>
> wrote:
> 
>> The maven BOM for CDI should have everything since I use it to resolve
>> outside of the CDI project [1].
>>
>> - Ray
>>
>> [1]
>> https://github.com/rotty3000/com.github.rotty3000.examples/blob/master/com.github.rotty3000.cdi.jaxrs/pom.xml#L188-L194
>>
>> On Fri, Jul 26, 2019 at 10:57 AM Carsten Ziegeler <cziegeler@apache.org>
>> wrote:
>>
>>> Yes, but the maven pom does not have everything.
>>>
>>>
>>> I'll continue fiddling around then
>>>
>>>
>>> Thanks
>>>
>>> Carsten
>>>
>>>
>>> Raymond Auge wrote
>>>> Also there's a maven BOM [1] that contains all the deps.
>>>>
>>>> - Ray
>>>>
>>>> [1]
>>>>
>>> https://repo1.maven.org/maven2/org/apache/aries/cdi/org.apache.aries.cdi.bom/1.0.2/org.apache.aries.cdi.bom-1.0.2.pom
>>>>
>>>> On Fri, Jul 26, 2019 at 10:51 AM Raymond Auge <raymond.auge@liferay.com
>>>>
>>>> wrote:
>>>>
>>>>> You mean this [1]?
>>>>> If you looked at the README [2]
>>>>>
>>>>> tldr; The default build produces an executable jar that contains all
>>> the
>>>>> bundles needed.
>>>>>
>>>>> - Ray
>>>>>
>>>>> [1]
>>>>>
>>> https://github.com/apache/aries-cdi/blob/master/cdi-executable/executable.bndrun#L34-L69
>>>>> [2]
>>>>>
>>> https://github.com/apache/aries-cdi/blob/master/README.md#pre-built-runtime
>>>>>
>>>>> On Fri, Jul 26, 2019 at 10:23 AM Carsten Ziegeler <
>>> cziegeler@apache.org>
>>>>> wrote:
>>>>>
>>>>>> Hi
>>>>>>
>>>>>> I tried to get the CDI extender running, tried to figure out which
>>>>>> bundles are required by transitively looking at the
>>> imports/requirements.
>>>>>> But so far I failed to get it running.
>>>>>>
>>>>>> Now, instead of me reporting what I did, I'm sure there are people
>>> here
>>>>>> who have it running. So is there some minimal list of bundles required
>>>>>> to run the CDI extender?
>>>>>>
>>>>>> Thanks
>>>>>> Carsten
>>>>>> --
>>>>>> Carsten Ziegeler
>>>>>> Adobe Research Switzerland
>>>>>> cziegeler@apache.org
>>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> *Raymond Augé* <http://www.liferay.com/web/raymond.auge/profile>
>>>>>    (@rotty3000)
>>>>> Senior Software Architect *Liferay, Inc.* <http://www.liferay.com>
>>>>>    (@Liferay)
>>>>> Board Member & EEG Co-Chair, OSGi Alliance <http://osgi.org>
>>>>> (@OSGiAlliance)
>>>>>
>>>>
>>>>
>>> --
>>> Carsten Ziegeler
>>> Adobe Research Switzerland
>>> cziegeler@apache.org
>>>
>>
>>
>> --
>> *Raymond Augé* <http://www.liferay.com/web/raymond.auge/profile>
>>   (@rotty3000)
>> Senior Software Architect *Liferay, Inc.* <http://www.liferay.com>
>>   (@Liferay)
>> Board Member & EEG Co-Chair, OSGi Alliance <http://osgi.org>
>> (@OSGiAlliance)
>>
> 
> 
--
Carsten Ziegeler
Adobe Research Switzerland
cziegeler@apache.org

Mime
View raw message